Get an Endpoint - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/ v2.0 /endpoints /{endpointId}
Try it
Get an Endpoint
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId} \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId},
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.get("https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId}")
.header("X-API-Key", "<api-key>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body
Status Codes
- 200
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504
Response Example
{
"foreignId": "<string>",
"channel": "webchat3",
"flowId": "<string>",
"localeId": "<string>",
"URLToken": "f65b289912c929c2a09523dd48eedb1249bb74384f6561f84b4ffc5e84d2f15f",
"name": "New Endpoint",
"entrypoint": "667ed4ae16d66f47dc2a9400",
"active": true,
"nluConnectorId": "cognigy",
"useConversations": true,
"maskIPAddress": true,
"maskAnalytics": true,
"maskLogging": true,
"useContactProfiles": true,
"useAnalytics": true,
"useDashbotAnalytics": true,
"dashbotApikey": "<string>",
"dashbotPlatform": "<string>",
"disableInputSanitization": "<string>",
"disableSkipUriTags": "<string>",
"overrideSnapshotConnections": true,
"settings": {
"accessScope": "<string>",
"accessToken": "<string>",
"appId": "<string>",
"appSecret": "<string>",
"backgroundImageUrl": "<string>",
"basicAuthPassword": "<string>",
"basicAuthUser": "<string>",
"botUserId": "<string>",
"businessHours": {
"businessHours": [
{
"startTime": "<string>",
"endTime": "<string>",
"weekDay": "<string>"
}
],
"enabled": true,
"text": "<string>",
"mode": "<string>",
"timeZone": "<string>",
"title": "<string>"
},
"colorScheme": "<string>",
"connectionName": "<string>",
"customJSON": "<string>",
"designTemplate": 123,
"disableHtmlContentSanitization": true,
"disableInputAutocomplete": true,
"disableInputAutogrow": true,
"disableUrlButtonSanitization": true,
"enableGenericHTMLStyling": true,
"enableAsyncCommunication": true,
"engagementMessageText": "<string>",
"displayGetStartedButton": true,
"dynamicImageAspectRatio": true,
"enableCollectMetadata": true,
"enableConnectionStatusIndicator": true,
"enableDemoWebchat": true,
"enableFileUpload": true,
"enablePersistentMenu": true,
"enableSTT": true,
"enableTTS": true,
"enableUnreadMessageBadge": true,
"enableUnreadMessagePreview": true,
"enableUnreadMessageSound": true,
"enableUnreadMessageTitleIndicator": true,
"enableTypingIndicator": true,
"facebookPageToken": "<string>",
"focusInputAfterPostback": true,
"getStartedButtonText": "<string>",
"getStartedPayload": "<string>",
"getStartedText": "<string>",
"getStartedData": "<string>",
"headerLogoUrl": "<string>",
"hubSecret": "<string>",
"inputAutogrowMaxRows": 123,
"inputPlaceholder": "<string>",
"language": "<string>",
"lineChannelAccessToken": "<string>",
"lineChannelSecret": "<string>",
"maintenance": {
"enabled": true,
"mode": "<string>",
"text": "<string>",
"title": "<string>"
},
"mergeContactProfiles": true,
"messageDelay": 123,
"messageLogoUrl": "<string>",
"overwriteWebchatBundleUrl": "<string>",
"ratingTitleText": "<string>",
"ratingCommentText": "<string>",
"ratingMessageHistoryRatingText": "<string>",
"ratingMessageHistoryCommentText": "<string>",
"reparseAlexaSlots": true,
"requestFacebookProfileData": true,
"restEndpointAuthentication": {},
"sessionExpiration": 123,
"shouldOverwriteWebchatBundleUrl": true,
"showEngagementMessagesInChat": true,
"slackOAuthAccessToken": "<string>",
"slackVerifyToken": "<string>",
"sunshineConversationsChannelKeyId": "<string>",
"sunshineConversationsChannelSecret": "<string>",
"sunshineConversationsChannelUri": "<string>",
"tenantId": "<string>",
"updateContactProfileWithFacebookProfile": true,
"voice": "<string>",
"webhookEndpointAuthentication": {},
"webhookUrl": "<string>",
"skill": {},
"persistentMenu": {}
},
"transformer": {
"abortOnError": true,
"transformer": "<string>",
"transpiledTransformer": "<string>",
"inputTransformerEnabled": true,
"outputTransformerEnabled": true,
"finalPingTransformerEnabled": true,
"notifyTransformerEnabled": true,
"injectTransformerEnabled": true
},
"handoverSettings": {
"providerSettings": {
"forwardOnlyHandoverConversations": true,
"getQueueUpdates": true,
"apiVersion": "<string>",
"baseUrl": "<string>",
"apiAccessToken": "<string>",
"baseApiUrl": "<string>",
"realtimeAccessToken": "<string>",
"realtimeEndpointUrl": "<string>",
"webhookSecret": "<string>",
"botCategoryId": "<string>",
"agentCategoryId": "<string>",
"organizationId": "<string>",
"deploymentId": "<string>",
"buttonId": "<string>"
},
"agentAssistSettings": {
"agentAssistFlowId": "<string>",
"agentAssistConfigId": "<string>",
"enableTranscriptTile": true,
"enableTranscriptTileChatInput": true,
"redactTranscriptTileMessages": true,
"enableAgentCopilotAuthentication": true,
"blockNonJWTRequests": true,
"agentCopilotAuthentication": "<string>",
"oAuth2Connection": "<string>"
}
},
"orgDataPrivacySettings": {
"enabled": true,
"useAnalytics": true,
"storeDataPayload": true,
"useContactProfiles": true,
"useConversations": true,
"maskIPAddress": true,
"maskAnalytics": true,
"maskLogging": true
},
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}
Error Responses
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
... [Similar examples for status codes] ...